﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_CONSSCHEMEORG')
 CREATE TABLE T_INVP_CONSSCHEMEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DACCALLOG')
 CREATE TABLE T_INVP_DACCALLOG
(FID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FMASTERTASKNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FCREATETIME DATETIME ,
FSTATUS NVARCHAR(50) DEFAULT(' ') NOT NULL,
FSUBTASKCOUNT BIGINT DEFAULT 0 NOT NULL,
FMSGSTART DATETIME,
FMSGUSERTIME BIGINT DEFAULT 0 NOT NULL,
FERRORMSG NVARCHAR(2000) DEFAULT(' ') NOT NULL,
FERRORMSG_TAG NCLOB NULL,FSCHEMEID BIGINT,
FLEVELIDMSG NVARCHAR(2000) DEFAULT(' ') NOT NULL,
FLEVELIDMSG_TAG NCLOB NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_BATCHCALCONF')
CREATE TABLE T_INVP_BATCHCALCONF (
FID BIGINT NOT NULL,
FBATCHSIZE BIGINT DEFAULT 0 NOT NULL,
FCALENTITYID NVARCHAR(36) DEFAULT(' ') NOT NULL,
FENABLELOG CHAR(1) DEFAULT('0') NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT(' ') NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FENABLE CHAR(1) DEFAULT('0') NOT NULL,
FISPRESET CHAR(1) DEFAULT('0') NOT NULL
);